@echo off
echo Weather charts from NOAA NWS Gateway
echo PWA - Europe and Africa
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWRB85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWRC85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWRD85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWRE85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWRF85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWRG85.TIF

echo off
if not exist "%OutputDrive%\%OutputDir%\PWR?85.TIF"  goto MESSAGE
echo The files "PWRB85.TIF" up to "PWRG85.TIF" have been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from ftp://tgftp.nws.noaa.gov/fax/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


rem generate TXT file
echo %OutputDrive%\%OutputDir%\PWRB85.tif > %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRC85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRD85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRE85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRF85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRG85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRB85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRC85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRD85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRE85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRF85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRG85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRB85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRC85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRD85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRE85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRF85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRG85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRB85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRC85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRD85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRE85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRF85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRG85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRB85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRC85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRD85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRE85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRF85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRG85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRB85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRC85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRD85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRE85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRF85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRG85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRB85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRC85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRD85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRE85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRF85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRG85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRB85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRC85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRD85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRE85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRF85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt
echo %OutputDrive%\%OutputDir%\PWRG85.tif >> %OutputDrive%\%OutputDir%\noaa_PWR.txt


rem wait 2 seconds for irfanview to flush its output
ping 1.1.1.1 -n 3 -w 500 > NUL

set irfanviewdir=%irfanviewdir:~2,-2%

"%irfanviewdir%" /slideshow=%OutputDrive%\%OutputDir%\noaa_PWR.txt /closeslideshow


del %OutputDrive%\%OutputDir%\PWR*.tif
del %OutputDrive%\%OutputDir%\noaa_PWR.txt


:END
"%IlwDir%\ilwis.exe" -C closeall