@echo off
echo.
echo.


rem file name input string example is CMORPH_V1.0_ADJ_8km-30min_1998020602

call inputparam.bat


set longfilename=%1
set shortfilename1=%longfilename:~26,10%

echo.
echo Processing Hour Timestep %shortfilename1%
echo.
echo.


ren CMORPH_V1.0_ADJ_8km-30min_%shortfilename1% tcmorph8km30min_%shortfilename1%

rem import as maplist and mirror rotate

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tcmorph8km30min_t%shortfilename1%.mpl:=maplist('%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%',genras,Convert,4948,2,0,BSQ,Real,4,NoSwap,CreateMpr)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%.mpl:=MapListApplic('%OutputDrive%\%OutputDir%\tcmorph8km30min_t%shortfilename1%',MapMirrorRotate(##,MirrHor))

rem create subset maps

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%1_east.mpr:=MapSubMap('%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%_1',1,1,1649,2474)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%1_west.mpr:=MapSubMap('%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%_1',1,2475,1649,2474)

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%2_east.mpr:=MapSubMap('%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%_2',1,1,1649,2474)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%2_west.mpr:=MapSubMap('%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%_2',1,2475,1649,2474)

rem add submap georef

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%1_east.mpr %UtilDir%\cmorph_east
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%1_west.mpr %UtilDir%\cmorph_west

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%2_east.mpr %UtilDir%\cmorph_east
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%2_west.mpr %UtilDir%\cmorph_west

rem glue maps using georef global

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%1_recomposed.mpr:=MapGlue('%UtilDir%\cmorph_8km'.grf,%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%1_west,%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%1_east,replace)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%2_recomposed.mpr:=MapGlue('%UtilDir%\cmorph_8km'.grf,%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%2_west,%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%2_east,replace)


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\cmorph1hr_%shortfilename1%:=iff(%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%1_recomposed+%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%2_recomposed ge 0, (%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%1_recomposed/2)+(%OutputDrive%\%OutputDir%\tcmorph8km30min_%shortfilename1%2_recomposed/2),0)


rem delete obsolete objects

del tcmorph8km30min_%shortfilename1%
del tcmorph8km30min*.mp*

