function CustomInputBox([string] $message, [string] $lat_box, [string] $message1, [string] $long_box,[string] $message2 ) 
{
 [void] [System.Reflection.Assembly]::LoadWithPartialName("System.Drawing")
 [void] [System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms") 
 $userForm = New-Object System.Windows.Forms.Form
 $userForm.Text = "Retrieve MOD16 MODIS-ET Product"
 $userForm.Size = New-Object System.Drawing.Size(430,225)
 $userForm.StartPosition = "CenterScreen"
     $userForm.AutoSize = $False
     $userForm.MinimizeBox = $False
     $userForm.MaximizeBox = $False
     $userForm.SizeGripStyle= "Hide"
     $userForm.WindowState = "Normal"
     $userForm.FormBorderStyle="Fixed3D"
     
  $retValues = New-Object System.Collections.ArrayList

 $OKButton = New-Object System.Windows.Forms.Button
 $OKButton.Location = New-Object System.Drawing.Size(150,140)
 $OKButton.Size = New-Object System.Drawing.Size(75,23)
 $OKButton.Text = "OK"
 $OKButton.Add_Click({$retValues.Add($objTextBox.Text);
            $retValues.Add($objTextBox1.Text);
            $userForm.Close();})
 $userForm.Controls.Add($OKButton)
 
 $CancelButton = New-Object System.Windows.Forms.Button
 $CancelButton.Location = New-Object System.Drawing.Size(330,140)
 $CancelButton.Size = New-Object System.Drawing.Size(75,23)
 $CancelButton.Text = "Cancel"
 $CancelButton.Add_Click({$userForm.Close()})
 $userForm.Controls.Add($CancelButton)

 $userLabel2 = New-Object System.Windows.Forms.Label
 $userLabel2.Location = New-Object System.Drawing.Size(10,22)
 $userLabel2.Size = New-Object System.Drawing.Size(350,15)
 $userLabel2.Text = "Enter UL Tile Longitude - Latitude in 10 Degree Intervals"
 $userForm.Controls.Add($userLabel2) 
  
 $userLabel = New-Object System.Windows.Forms.Label
 $userLabel.Location = New-Object System.Drawing.Size(10,62)
 $userLabel.Size = New-Object System.Drawing.Size(330,15)
 $userLabel.Text = "$message"
 $userForm.Controls.Add($userLabel) 
 
 $objTextBox = New-Object System.Windows.Forms.TextBox
 $objTextBox.Location = New-Object System.Drawing.Size(345,60)
 $objTextBox.Size = New-Object System.Drawing.Size(60,15)
 $objTextBox.Text="$lat_box"
 $userForm.Controls.Add($objTextBox) 
 
 $userLabel1 = New-Object System.Windows.Forms.Label
 $userLabel1.Location = New-Object System.Drawing.Size(10,92)
 $userLabel1.Size = New-Object System.Drawing.Size(330,15)
 $userLabel1.Text = "$message1"
 $userForm.Controls.Add($userLabel1) 
 
 $objTextBox1 = New-Object System.Windows.Forms.TextBox
 $objTextBox1.Location = New-Object System.Drawing.Size(345,90)
 $objTextBox1.Size = New-Object System.Drawing.Size(60,15)
 $objTextBox1.Text="$long_box"
 $userForm.Controls.Add($objTextBox1)
 
   
     $userForm.Topmost = $True
     $userForm.Opacity = 1.0
     $userForm.ShowIcon = $False
     $userForm.Add_Shown({$userForm.Activate()})
 [void] $userForm.ShowDialog()
  return $retValues;
  

}

$retValues = CustomInputBox "Set Upper Left Longitude in D (-180 to 170):" "" "Set Upper Left Latitude in D (90 to -80):" "" 


if ( $retValues -ne $null ) 

{
echo "set Hori=$($retValues[0])" | out-file 'st_ET.bat' -Encoding ASCII
echo "set Verti=$($retValues[1])"  | out-file 'st_ET.bat' -append -Encoding ASCII

}

else
{
 echo "set EndScript=100001" | out-file 'st_ETno.txt' -Encoding ASCII
}
