@echo off
rem import rfe climatology from ftp://ftp.cpc.ncep.noaa.gov/fews/AFR_CLIM/ARC2/CLIMATOLOGY_DATA/MEAN_DEKADAL_TOTALS/

rem filename strings used clim.dekad.bin.011 up to clim.dekad.bin.123


call inputparam.bat

set longfilename=%1
set shortfilename=%longfilename:~15,3%

echo.
echo Processing Dekad Timestep %shortfilename%
echo.
echo.


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\trfe%shortfilename%:=map('%OutputDrive%\%OutputDir%\clim.dekad.bin.%shortfilename%',genras,Convert,751,0,Real,4,SwapBytes)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rfe_clim_dekad%shortfilename%:=MapMirrorRotate(%OutputDrive%\%OutputDir%\trfe%shortfilename%,MirrHor)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\rfe_clim_dekad%shortfilename%.mpr %UtilDir%\fews_rfe2_climnew

del %OutputDrive%\%OutputDir%\trfe%shortfilename%.mp*

