function CustomInputBox([string] $message, [string] $lat_box, [string] $message1, [string] $long_box,[string] $message2, [string] $zoom_box) 
{
 [void] [System.Reflection.Assembly]::LoadWithPartialName("System.Drawing")
 [void] [System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms") 
 $userForm = New-Object System.Windows.Forms.Form
 $userForm.Text = "VirtualEarth.Net / Microsoft Corporation-2013"
 $userForm.Size = New-Object System.Drawing.Size(330,225)
 $userForm.StartPosition = "CenterScreen"
     $userForm.AutoSize = $False
     $userForm.MinimizeBox = $False
     $userForm.MaximizeBox = $False
     $userForm.SizeGripStyle= "Hide"
     $userForm.WindowState = "Normal"
     $userForm.FormBorderStyle="Fixed3D"
     
  $Script:retValues = New-Object System.Collections.ArrayList

 $OKButton = New-Object System.Windows.Forms.Button
 $OKButton.Location = New-Object System.Drawing.Size(150,140)
 $OKButton.Size = New-Object System.Drawing.Size(75,23)
 $OKButton.Text = "OK"
 $OKButton.Add_Click({$retValues.Add($objTextBox.Text);
            $retValues.Add($objTextBox1.Text); 
            $retValues.Add($objTextBox2.Text);
            $userForm.Close();})
 $userForm.Controls.Add($OKButton)
 
 $CancelButton = New-Object System.Windows.Forms.Button
 $CancelButton.Location = New-Object System.Drawing.Size(230,140)
 $CancelButton.Size = New-Object System.Drawing.Size(75,23)
 $CancelButton.Text = "Cancel"
 $CancelButton.Add_Click({$userForm.Close()})
 $userForm.Controls.Add($CancelButton)
  
 $userLabel = New-Object System.Windows.Forms.Label
 $userLabel.Location = New-Object System.Drawing.Size(10,27)
 $userLabel.Size = New-Object System.Drawing.Size(230,15)
 $userLabel.Text = "$message"
 $userForm.Controls.Add($userLabel) 
 
 $objTextBox = New-Object System.Windows.Forms.TextBox
 $objTextBox.Location = New-Object System.Drawing.Size(245,25)
 $objTextBox.Size = New-Object System.Drawing.Size(60,15)
 $objTextBox.Text="$lat_box"
 $userForm.Controls.Add($objTextBox) 
 
 $userLabel1 = New-Object System.Windows.Forms.Label
 $userLabel1.Location = New-Object System.Drawing.Size(10,62)
 $userLabel1.Size = New-Object System.Drawing.Size(230,15)
 $userLabel1.Text = "$message1"
 $userForm.Controls.Add($userLabel1) 
 
 $objTextBox1 = New-Object System.Windows.Forms.TextBox
 $objTextBox1.Location = New-Object System.Drawing.Size(245,60)
 $objTextBox1.Size = New-Object System.Drawing.Size(60,15)
 $objTextBox1.Text="$long_box"
 $userForm.Controls.Add($objTextBox1)
   
 $userLabel2 = New-Object System.Windows.Forms.Label
 $userLabel2.Location = New-Object System.Drawing.Size(10,97)
 $userLabel2.Size = New-Object System.Drawing.Size(150,15)
 $userLabel2.Text = "$message2"
 $userForm.Controls.Add($userLabel2) 
 
 $objTextBox2 = New-Object System.Windows.Forms.TextBox
 $objTextBox2.Location = New-Object System.Drawing.Size(245,95)
 $objTextBox2.Size = New-Object System.Drawing.Size(60,15)
 $objTextBox2.Text="$zoom_box"
 $userForm.Controls.Add($objTextBox2)
   
   
     $userForm.Topmost = $True
     $userForm.Opacity = 1.0
     $userForm.ShowIcon = $False
     $userForm.Add_Shown({$userForm.Activate()})
 [void] $userForm.ShowDialog()
  return $Script:retValues
  

}

$retValues = CustomInputBox "Set map centre latitude in D.d (-80 to 80):" "" "Set map centre longitude in D.d (-180 to 180):" "" "Set zoom factor (0 to 20):" ""


if ( $retValues -ne $null ) 

{
echo "set mylat=$($retValues[0])" | out-file 'st_VE.bat' -Encoding ASCII
echo "set mylong=$($retValues[1])"  | out-file 'st_VE.bat' -append -Encoding ASCII
echo "set myzoom=$($retValues[2])" | out-file 'st_VE.bat' -append -Encoding ASCII

}

else
{
 echo "set EndScript=100001" | out-file 'st_VEno.txt' -Encoding ASCII
}
